#Basic Information
Name:          reflectasm
Version:       1.11.0
Release:       9
Summary:       High performance Java library that provides reflection by using code generation
License:       BSD-3-Clause
URL:           https://github.com/EsotericSoftware/reflectasm
Source0:       https://github.com/EsotericSoftware/reflectasm/archive/%{name}-%{version}.tar.gz
Patch0:        fix-compilation-fails.patch
BuildArch:     noarch

#Dependency
BuildRequires: dos2unix maven-local
BuildRequires: mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.ow2.asm:asm) mvn(org.sonatype.oss:oss-parent:pom:)

%description
ReflectASM is a very small Java library that provides high performance
reflection by using code generation. An access class is generated to
set/get fields, call methods, or create a new instance. The access class
uses byte-code rather than Java's reflection, so it is much faster. It
can also access primitive fields via byte-code to avoid boxing.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

#Build sections
%prep
%autosetup -n %{name}-%{name}-%{version} -p1
find -name "*.class" -delete
find -name "*.jar" -delete

dos2unix license.txt

%pom_remove_plugin :maven-shade-plugin

%mvn_file :%{name} %{name}
%mvn_alias :%{name} "com.esotericsoftware.%{name}:%{name}"

# AssertionFailedError: expected:<1> but was:<0>
rm -r test/com/esotericsoftware/reflectasm/ClassLoaderTest.java

%build
%mvn_build

%install
%mvn_install

#Files list
%files -f .mfiles
%doc README.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Tue May 31 2022 yaoxin <yaoxin30@h-partners.com> - 1.11.0-9
- Fix the compilation fails due to the upgrade of objectweb-asm.

* Fri Dec 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.11.0-8
- Package init

